## intel-vaapi-driver-shaders 2.4.1

=== meson_options.txt ===
option('driverdir', type : 'string', description : 'drivers path')
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('enable_hybrid_codec', type : 'boolean', value : false)
option('enable_tests', type : 'boolean', value : false)

## intel-vaapi-driver-shaders 2.1.0

=== debian/changelog ===
intel-vaapi-driver-shaders (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/:
    - Revert the split and switch back to full driver. Thanks to Timo Aaltonen.
      This package now Conflicts+Replaces i965-va-driver.
    - Bump debhelper compat level to 11.
  * debian/copyright: Update copyright info.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 20 Mar 2018 21:49:53 +0100

intel-vaapi-driver-shaders (2.0.0~pre3+ds1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Nov 2017 21:57:08 +0100

intel-vaapi-driver-shaders (2.0.0~pre3+ds1-1) experimental; urgency=medium

  * Split off shaders without source to non-free.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 20 Oct 2017 13:27:13 +0200

intel-vaapi-driver (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 29 Jun 2017 20:43:05 +0200

intel-vaapi-driver (1.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 11:00:53 +0200

intel-vaapi-driver (1.8.2-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Jun 2017 21:44:53 +0200

intel-vaapi-driver (1.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Apr 2017 20:03:20 +0200

intel-vaapi-driver (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/{control,copyright,watch}: Update upstream location. (Closes:
    #853271) (LP: #1660497)
  * debian/control:
    - Bump libva-dev B-D to 1.8.0.
    - Add libxext-dev and libxfixes-dev to B-D.
  * debian/copyright: Update copyright years.
  * debian/patches: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Apr 2017 20:31:45 +0200

intel-vaapi-driver (1.7.3-1) unstable; urgency=medium

  * New upstrem release.
  * debian/control: Bump libva-dev B-D according to configure.ac.
  * debian/{control,compat,rules}: Bump to debhelper compat 10.
  * debian/patches: Refresh.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Nov 2016 20:34:52 +0100

intel-vaapi-driver (1.7.2-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debian/patches/ignore-debian.upstream.patch: replicate patch from libva.
  * debian/clean: replicate change from libva; remove empty file.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Change Architecture to any-amd64 and any-i386.
    - Bump libva-dev B-D according to configure.ac.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 05 Sep 2016 17:55:47 +0200

intel-vaapi-driver (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Build-Depends: Bump libdrm-dev and libva-dev according to configure.ac.
    - Description: Mention Skylake.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 22 Jun 2016 19:08:16 +0200

intel-vaapi-driver (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Move to automatic debug symbol packages.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
    - Bump B-D on libva-dev to 1.7.0.
    - Remove obsolete Breaks, Replaces and Provides.
  * debian/{rules,i965-va-driver.install}: Update for change to a single
    binary package.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Mar 2016 01:52:03 +0100

intel-vaapi-driver (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Dec 2015 11:47:20 +0100

intel-vaapi-driver (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Sep 2015 22:45:53 +0200

intel-vaapi-driver (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jul 2015 21:28:43 +0200

intel-vaapi-driver (1.6.0~pre1-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update copyright years.
  * debian/control: Bump Build-Depends on libva-dev and intel-gpu-tools.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Jun 2015 12:32:31 +0200

intel-vaapi-driver (1.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Apr 2015 19:24:51 +0200

intel-vaapi-driver (1.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 20 Mar 2015 17:25:52 +0100

intel-vaapi-driver (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2014 22:08:51 +0100

intel-vaapi-driver (1.5.0~pre1-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * debian/control: Uploader e-mail address updated

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches/0002-avoid_segfault_on_unsupported_platforms.patch:
    Removed, no longer needed.
  * Track supported libva driver ABI version. (LP: #1384100)
    - debian/rules: Add libva dh sequence.
    - debian/control: Build-Depend on libva-dev (>= 1.5~pre1)
  * debian/copyright: Update copyright information.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 15 Dec 2014 20:37:45 +0100

intel-vaapi-driver (1.4.1-2) unstable; urgency=medium

  * debian/patches/0002-avoid_segfault_on_unsupported_platforms.patch: Apply
    upstream patch to avoid segmentation faults on unsupported platforms.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 10 Nov 2014 13:59:29 +0100

intel-vaapi-driver (1.4.1-1) unstable; urgency=medium

  * New upstream release.



=== debian/control ===
Source: intel-vaapi-driver-shaders
Section: non-free/video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 11),
 intel-gpu-tools (>= 1.9),
 libdrm-dev (>= 2.4.52),
 libva-dev (>= 2.1),
 libwayland-dev (>= 1.0.0) [amd64 i386],
 libx11-dev,
 libxext-dev,
 libxfixes-dev,
 pkg-config,
 python
Standards-Version: 4.1.3
Homepage: https://01.org/linuxmedia/vaapi
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders
XS-Autobuild: yes

Package: i965-va-driver-shaders
Architecture: any-amd64 any-i386
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 i965-va-driver
Replaces:
 i965-va-driver
Provides:
 va-driver
Enhances:
 libva
Description: VAAPI driver for Intel G45 & HD Graphics family
 The VA-API (Video Acceleration API) enables hardware accelerated video
 decode/encode at various entry-points (VLD, IDCT, Motion Compensation
 etc.) for the prevailing coding standards today (MPEG-2, MPEG-4
 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/WMV3). It provides an interface
 to fully expose the video decode capabilities in today's GPUs.
 .
 This package contains the video decode and encode driver backend for the
 Intel G45 chipsets and Intel HD Graphics for the Intel Core processor family.
 The supported platforms include:
  * Cantiga, Intel GMA 4500MHD (GM45)
  * Ironlake, Intel HD Graphics for 2010 Intel Core processor family
  * Sandy Bridge, Intel HD Graphics for 2011 Intel Core processor family
  * Ivy Bridge
  * Haswell
  * Broadwell
  * Skylake
  * Kaby Lake
  * Coffee Lake
  * Cannon Lake
 .
 This package contains also contains the non-free encode shaders for VP8, VP9,
 HEVC and AVC for generation 7.5 hardware a newer.

=== debian/watch ===
version=4
opts="uversionmangle=s/\.pre/~pre/, \
      filenamemangle=s%(?:.*)intel-vaapi-driver-(.+)\.tar\.bz2%intel-vaapi-driver-shaders-$1.tar.bz2%" \
  https://github.com/01org/intel-vaapi-driver/releases \
  .*/intel-vaapi-driver-(\d+.*)\.tar\.bz2

## intel-vaapi-driver-shaders 2.2.0

=== debian/changelog ===
intel-vaapi-driver-shaders (2.2.0-2) unstable; urgency=medium

  * debian/patches: Re-build shaders. (Closes: #904143)
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Sep 2018 23:59:43 +0200

intel-vaapi-driver-shaders (2.2.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump libva-dev B-D.
    - Bump Standards-Version.
    - Fix Description. (Closes: #893742=
  * debian/: Update upstream homepage.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 17 Jul 2018 17:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: intel-vaapi-driver-shaders
 Section: non-free/video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper (>= 11),
  intel-gpu-tools (>= 1.9),
  libdrm-dev (>= 2.4.52),
- libva-dev (>= 2.1),
+ libva-dev (>= 2.2),
  libwayland-dev (>= 1.0.0) [amd64 i386],
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  pkg-config,
  python
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://01.org/linuxmedia/vaapi
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders
@@ -57,4 +57,4 @@
   * Cannon Lake
  .
  This package contains also contains the non-free encode shaders for VP8, VP9,
- HEVC and AVC for generation 7.5 hardware a newer.
+ HEVC and AVC for generation 7.5 hardware or newer.

=== debian/watch ===
version=4
opts="uversionmangle=s/\.pre/~pre/, \
      filenamemangle=s%(?:.*)intel-vaapi-driver-(.+)\.tar\.bz2%intel-vaapi-driver-shaders-$1.tar.bz2%" \
  https://github.com/intel/intel-vaapi-driver/releases \
  .*/intel-vaapi-driver-(\d+.*)\.tar\.bz2

## intel-vaapi-driver-shaders 2.3.0

=== debian/changelog ===
intel-vaapi-driver-shaders (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Remove unneeded patches.
    - Apply upstream patches for wayland issues. (Closes: #920949)
  * debian/: Bump debhelper compat to 12.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Feb 2019 14:05:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  intel-gpu-tools (>= 1.9),
  libdrm-dev (>= 2.4.52),
- libva-dev (>= 2.2),
+ libva-dev (>= 2.4),
  libwayland-dev (>= 1.0.0) [amd64 i386],
  libx11-dev,
  libxext-dev,
  libxfixes-dev,
  pkg-config,
  python
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://01.org/linuxmedia/vaapi
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders

=== debian/watch ===
version=4
opts="uversionmangle=s/\.pre/~pre/, \
      filenamemangle=s%(?:.*)(\d+.*)\.tar\.gz%intel-vaapi-driver-shaders-$1.tar.gz%" \
  https://github.com/intel/intel-vaapi-driver/releases \
  .*/(\d+.*)\.tar\.gz

## intel-vaapi-driver-shaders 2.4.0

=== debian/changelog ===
intel-vaapi-driver-shaders (2.4.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 24 May 2020 02:12:51 -0400

intel-vaapi-driver-shaders (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Build with python3 (Closes: #943134)
    - Add B-D on dh-sequence-libva
  * debian/patches: Remove unneeded patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Dec 2019 16:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: intel-vaapi-driver-shaders
 Section: non-free/video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
+# dh-sequence-libva,
  intel-gpu-tools (>= 1.9),
  libdrm-dev (>= 2.4.52),
  libva-dev (>= 2.4),
@@ -14,8 +16,8 @@
  libxext-dev,
  libxfixes-dev,
  pkg-config,
- python
-Standards-Version: 4.3.0
+ python3
+Standards-Version: 4.4.1
 Homepage: https://01.org/linuxmedia/vaapi
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_install:
	find -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## intel-vaapi-driver-shaders 2.4.1

=== debian/changelog ===
intel-vaapi-driver-shaders (2.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jul 2020 12:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: intel-vaapi-driver-shaders
 Section: non-free/video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
-# dh-sequence-libva,
+ debhelper-compat (= 13),
+ dh-sequence-libva,
  intel-gpu-tools (>= 1.9),
  libdrm-dev (>= 2.4.52),
  libva-dev (>= 2.4),
@@ -17,10 +16,11 @@
  libxfixes-dev,
  pkg-config,
  python3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://01.org/linuxmedia/vaapi
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-vaapi-driver-shaders
+Rules-Requires-Root: no
 XS-Autobuild: yes
 
 Package: i965-va-driver-shaders

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	find -name *.la -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="uversionmangle=s/\.pre/~pre/, \
      filenamemangle=s%(?:.*)(\d+\.\d+\.\d+)\.tar\.gz%intel-vaapi-driver-shaders-$1.tar.gz%" \
  https://github.com/intel/intel-vaapi-driver/releases \
  .*/(\d+.*)\.tar\.gz
